-- textproperty.applescript

property charcount : 0
property wordcount : 0
property paracount : 0
property defaultcontent : "AppleScript̃eLXgł́Auitemv̈ӖɒӂKv܂Buitemv̈Ӗ̓eLXg𕶎(character)̏W܂ƌȂAP(word)̏W܂ƌȂAiiparagraph)̏W܂ƌȂɂāAقȂ܂B
{̏ꍇAȂ̂ŁAAppleScriptł́AǓ_JMJbRAiЂ炪ȁAJ^JiAApj̕ςڂword̋؂߂ƌȂĂ悤łBAJ^Ji⊿Ђ炪ȂɈڂƂ͐؂ڂƂ݂Ȃ܂B
̃AvP[Viteml̊ȒPȃfłBɁA낢ȕāÁucharactersvuwordsvuparagraphsṽ{^item̒lςāǍʂĉB"

on clicked theObject
	if name of theObject is "charscript" then
		charscript()
	else if name of theObject is "wordscript" then
		wordscript()
	else if name of theObject is "parascript" then
		parascript()
	end if
end clicked

on awake from nib theObject
	if name of theObject is "upper" then
		set content of theObject to defaultcontent
	else if name of theObject is "intfield" then
		set content of theObject to 3
	end if
end awake from nib

on charscript()
	countproperties()
	tell window "win"
		set xcon to characters of text view "upper" of scroll view "upper"
		set intv to integer value of text field "intfield"
		if intv > charcount then
			display dialog "item value is over than count of characters"
		else
			set content of text field "lower" to item intv of xcon
		end if
	end tell
end charscript

on wordscript()
	countproperties()
	tell window "win"
		set xcon to words of text view "upper" of scroll view "upper"
		set intv to integer value of text field "intfield"
		if intv > wordcount then
			display dialog "item value is over than count of words"
		else
			set content of text field "lower" to item intv of xcon
		end if
	end tell
end wordscript

on parascript()
	countproperties()
	tell window "win"
		set xcon to paragraphs of text view "upper" of scroll view "upper"
		set intv to integer value of text field "intfield"
		if intv > paracount then
			display dialog "item value is over than count of paragraphs"
		else
			set content of text field "lower" to item intv of xcon
		end if
	end tell
end parascript

(* using "count" to count the number of items *)
on countproperties()
	tell window "win"
		set chardata to characters of text view "upper" of scroll view "upper"
		set worddata to words of text view "upper" of scroll view "upper"
		set paradata to paragraphs of text view "upper" of scroll view "upper"
		set charcount to (count of chardata)
		set wordcount to worddata count
		set paracount to paradata count
		set content of text field "charcount" to charcount
		set content of text field "wordcount" to wordcount
		set content of text field "paracount" to paracount
	end tell
end countproperties
